Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.repastdemos.asynchAgents
Class Consultant

    java.lang.Object
      uchicago.src.sim.network.DefaultNode
          uchicago.src.sim.network.DefaultDrawableNode
              uchicago.src.repastdemos.asynchAgents.Boss
                  uchicago.src.repastdemos.asynchAgents.Consultant

All Implemented Interfaces:
  Drawable2DGridNode, DrawableNonGridNode, Moveable, NonGridDrawable, Node

    public class Consultant

extends Boss

This is the agent that moves agents according to how many tasks they have relative to the rest of the employees.

Version:
  $Revision: 1.1 $ $Date: 2005/08/12 20:04:57 $
Author:
  Jerry Vos

Nested Class Summary

Nested classes/interfaces inherited from class uchicago.src.sim.network.DefaultNode
`DefaultNode.OrderedHashMap`

Field Summary

Fields inherited from class uchicago.src.repastdemos.asynchAgents.Boss
`office, officeSpace, tasksAssignedPerTick`

Fields inherited from class uchicago.src.sim.network.DefaultDrawableNode
`item`

Fields inherited from class uchicago.src.sim.network.DefaultNode
`inEdges, inMap, label, outEdges, outMap`

Constructor Summary
`Consultant(AsynchAgentsModel officeSpace, Office office)`

Method Summary
`void` | `gradeEmployees()`
`double[]` | `normalizedCartesianCoordsToScreenCoords(double x, double y)`
`double[]` | `screenCoordsToNormalizedCartesianCoords(double x, double y)`

Methods inherited from class uchicago.src.repastdemos.asynchAgents.Boss
`distributeTasks, getTasksAssignedPerTick, setTasksAssignedPerTick`

Methods inherited from class uchicago.src.sim.network.DefaultDrawableNode
`allowResizing, calcSize, contains, draw, getBorderColor, getBorderWidth, getColor, getFont, getHeight, getLabelColor, getNode, getWidth, getX, getY, setBorderColor, setBorderWidth, setColor, setDrawable, setDrawableNoCopy, setFont, setHeight, setLabelColor, setNodeLabel, setWidth, setX, setX, setY, setY`

Methods inherited from class uchicago.src.sim.network.DefaultNode
`addInEdge, addInEdges, addOutEdge, addOutEdges, clearInEdges, clearOutEdges, getEdgesFrom, getEdgesTo, getFromNodes, getId, getInDegree, getInEdges, getInNodes, getNodeLabel, getNumInEdges, getNumOutEdges, getOutDegree, getOutEdges, getOutNodes, getRandomFromNode, getRandomNodeIn, getRandomNodeOut, getRandomToNode, getToNodes, hasEdgeFrom, hasEdgeTo, hasEdgeToOrFrom, makeRandomInEdge, makeRandomOutEdge, removeEdgesFrom, removeEdgesTo, removeInEdge, removeOutEdge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uchicago.src.sim.gui.DrawableNonGridNode
`getOutEdges`

Methods inherited from interface uchicago.src.sim.gui.Drawable2DGridNode
`getOutEdges`

Constructor Detail

### Consultant

    public Consultant(AsynchAgentsModel officeSpace,
                      Office office)

Method Detail

### gradeEmployees

    public void gradeEmployees()

### screenCoordsToNormalizedCartesianCoords

    public double[] screenCoordsToNormalizedCartesianCoords(double x,
                                                            double y)

### normalizedCartesianCoordsToScreenCoords

    public double[] normalizedCartesianCoordsToScreenCoords(double x,
                                                            double y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD